%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	XML-SAX

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Perl module for using and building Perl SAX2 XML parsers, filters, and drivers
Name:		perl-%{perlname}
Version:	0.16
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=XML+SAX
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
Requires:	libxml2
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-XML-NamespaceSupport
BuildRequires:	libxml2-devel
Provides:	perl(XML::SAX::PurePerl::EncodingDetect) perl(XML::SAX::PurePerl::XMLDecl)
Provides:	perl(XML::SAX::PurePerl::DocType) perl(XML::SAX::PurePerl::DTDDecls)

%description
Perl module for using and building Perl SAX2 XML parsers, filters, and drivers
For more details see: http://search.cpan.org/search?module=XML-SAX

%prep
%setup -q -n %{perlname}-%{version}

%build
# answer the questions
echo N | perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.16-1
- Version Update
* Wed May 17 2007 Christian Wasem <wasem@ccux-linux.de> 0.13-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.13-2
- Rebuild against perl-5.8.7
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.13-1
- Initial Release
